#
# spec file for package kdeaddons3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdeaddons3
BuildRequires:  SDL-devel
BuildRequires:  db-devel
BuildRequires:  kdebase3-apps
BuildRequires:  kdebase3-devel
BuildRequires:  kdegames3-devel
BuildRequires:  kdemultimedia3-devel
BuildRequires:  kdemultimedia3-extra
BuildRequires:  kdepim3-devel
%if %suse_version > 1120
BuildRequires:  gtk2-devel
%else
BuildRequires:  gtk-devel
%endif
Summary:        Additional Modules for Kate, Kicker, Konqueror, and Noatun
License:        GPL-2.0 and LGPL-2.0+
Group:          System/GUI/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.5.10
Release:        lp150.28.1
Url:            http://www.kde.org
Requires:       kdelibs3
Source:         kdeaddons-%{version}.tar.bz2
Patch0:         3_5_BRANCH.diff
Patch1:         disable-lnk.diff
Patch2:         fix-kimgalleryplugin-output.diff
Patch3:         google-suggest.diff
Patch4:         permanent-searchbar.diff
Patch5:         use-db.diff
Patch6:         kdeaddons-3.5.10-gcc45.diff
Patch7:         kdeaddons-trinity-kate-fix-recognition-of-cpp-files.patch
Patch8:         kdeaddons-trinity-fix-ark-plugin.patch

%description
This package contains some fun and useful additional modules:

* Kate

* Kicker

* Konqueror

* Noatun



Authors:
--------
    The KDE Team <kde@kde.org>

%package games
# usesubdirs atlantikdesigner
Provides:       kdeaddons3 = %{version}-%{release}
Summary:        Additional Modules for Atlantik
Group:          System/GUI/KDE

%description games
An editor to create levels for Atlantik



Authors:
--------
    The KDE Team <kde@kde.org>

%package konqueror
# usesubdirs kfile-plugins knewsticker-scripts konq-plugins
Obsoletes:      kdeaddons3-internet
Obsoletes:      metabar
Provides:       kdeaddons3 = %{version}-%{release}
Provides:       kdeaddons3-internet
Provides:       kdeaddons3:/opt/kde3/share/apps/khtml/kpartplugins/plugin_babelfish.rc
Provides:       metabar
Summary:        Konqueror Related Add-Ons
Group:          Productivity/Networking/Web/Utilities

%description konqueror
This package contains web-related (like checking for correct HTML
syntax, translating a web site, or to easily enable/disable browser
functions) and file-related (like image gallery creator, image view
kpart, ark archiver plugin, kuick copy plugin) Konqueror plug-ins.



Authors:
--------
    The KDE Team <kde@kde.org>

%package kontact
# usesubdirs kontact ksig
Requires:       kdenetwork3-news
Provides:       kdeaddons3 = %{version}-%{release}
Summary:        Additional Modules for Kontact
Group:          System/GUI/KDE

%description kontact
This package contains plugins for Kontact. They can be used on the

* newsticker plugin

* world clock



Authors:
--------
    The KDE Team <kde@kde.org>



Authors:
--------
    The KDE Team <kde@kde.org>

%package kate
# usesubdirs kate
Provides:       kdeaddons3 = %{version}-%{release}
Provides:       kdeaddons3:/opt/kde3/bin/dcop_kate
Summary:        A text editor for KDE
Group:          Productivity/Editors/Other

%description kate
This package contains extensions for kate, the default KDE text editor.
The extensions are able to check the syntax of html or xml documents
and are used to convert to different text formats and encodings.



Authors:
--------
    The KDE Team <kde@kde.org>

%package kicker
# usesubdirs kicker-applets
Provides:       kdeaddons3 = %{version}-%{release}
Provides:       kdeaddons3:/opt/kde3/share/apps/kicker/applets/ktimemon.desktop
Summary:        KDE kicker applets
Group:          Productivity/Networking/News/Clients

%description kicker
This package contains Kicker (the KDE panel) applets to monitor the
time on all regions on earth and to select a color from any place on
the desktop.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeaddons-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p1
%patch8 -p1

%build
. /etc/opt/kde3/common_options
update_admin
./configure $configkde

make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/16x16/apps
mv $RPM_BUILD_ROOT/opt/kde3/share/icons/{lo,hi}color/16x16/apps/autorefresh.png
rm -f ${RPM_BUILD_ROOT}/opt/kde3/share/apps/konqsidebartng/kicker_entries/mplayer.desktop
rm -f ${RPM_BUILD_ROOT}/opt/kde3/share/apps/konqsidebartng/add/mplayer_add.desktop
rm -f ${RPM_BUILD_ROOT}/opt/kde3/share/apps/konqsidebartng/entries/mplayer.desktop
rm -f ${RPM_BUILD_ROOT}/opt/kde3/share/applnk/.hidden/fsview.desktop
%suse_update_desktop_file atlantikdesigner Game    BoardGame
%suse_update_desktop_file -r ksig          Network Email   
kde_post_install

%post
%run_ldconfig

%files konqueror
%defattr(-,root,root)
/opt/kde3/bin/fsview
/opt/kde3/bin/jpegorient
/opt/kde3/%_lib/kde3/kfile_*
/opt/kde3/%_lib/kde3/konq_sidebarnews.*
/opt/kde3/%_lib/kde3/kcm_kuick.*
/opt/kde3/%_lib/kde3/libautorefresh.*
/opt/kde3/%_lib/kde3/libbabelfishplugin.*
/opt/kde3/%_lib/kde3/libcrashesplugin.*
/opt/kde3/%_lib/kde3/libdirfilterplugin.*
/opt/kde3/%_lib/kde3/libdomtreeviewerplugin.*
/opt/kde3/%_lib/kde3/libfsviewpart.*
/opt/kde3/%_lib/kde3/libkhtmlsettingsplugin.*
/opt/kde3/%_lib/kde3/libkimgallery.*
/opt/kde3/%_lib/kde3/libkuickplugin.*
/opt/kde3/%_lib/kde3/libminitoolsplugin.*
/opt/kde3/%_lib/kde3/librenaudioplugin.*
/opt/kde3/%_lib/kde3/librenimageplugin.*
/opt/kde3/%_lib/kde3/libuachangerplugin.*
/opt/kde3/%_lib/kde3/libvalidatorsplugin.*
/opt/kde3/%_lib/kde3/libwebarchiverplugin.*
/opt/kde3/%_lib/kde3/libarkplugin.*
/opt/kde3/%_lib/kde3/libsearchbarplugin.*
/opt/kde3/%_lib/kde3/webarchivethumbnail.*
/opt/kde3/%_lib/kde3/libakregatorkonqfeedicon.*
/opt/kde3/%_lib/kde3/libakregatorkonqplugin.*
/opt/kde3/%_lib/kde3/librellinksplugin.*
/opt/kde3/share/applnk/.hidden/arkplugin.desktop
/opt/kde3/share/applnk/.hidden/katefll.desktop
/opt/kde3/share/applnk/.hidden/kcmkuick.desktop
/opt/kde3/share/applnk/.hidden/kuickplugin.desktop
/opt/kde3/share/applnk/.hidden/crashesplugin.desktop
/opt/kde3/share/applnk/.hidden/dirfilterplugin.desktop
/opt/kde3/share/applnk/.hidden/khtmlsettingsplugin.desktop
/opt/kde3/share/applnk/.hidden/kimgalleryplugin.desktop
/opt/kde3/share/applnk/.hidden/plugin_babelfish.desktop
/opt/kde3/share/applnk/.hidden/plugin_domtreeviewer.desktop
/opt/kde3/share/applnk/.hidden/plugin_validators.desktop
/opt/kde3/share/applnk/.hidden/plugin_webarchiver.desktop
/opt/kde3/share/applnk/.hidden/uachangerplugin.desktop
/opt/kde3/share/apps/domtreeviewer
/opt/kde3/share/apps/khtml/kpartplugins
/opt/kde3/share/apps/knewsticker
/opt/kde3/share/apps/konqiconview/kpartplugins/*
/opt/kde3/share/apps/konqlistview/kpartplugins/*
/opt/kde3/share/apps/konqueror/*
/opt/kde3/share/apps/fsview
%dir /opt/kde3/share/icons/*/*/*
/opt/kde3/share/apps/konqsidebartng/*
/opt/kde3/share/apps/akregator
/opt/kde3/share/apps/imagerotation
/opt/kde3/share/config/translaterc
/opt/kde3/share/config.kcfg/kbinaryclock.kcfg
/opt/kde3/share/config.kcfg/konq_sidebarnews.kcfg
/opt/kde3/share/icons/*/*/*/babelfish.*
/opt/kde3/share/icons/*/*/*/cssvalidator.*
/opt/kde3/share/icons/*/*/*/domtreeviewer.*
/opt/kde3/share/icons/*/*/*/htmlvalidator.*
/opt/kde3/share/icons/*/*/*/imagegallery.*
/opt/kde3/share/icons/*/*/*/validators.*
/opt/kde3/share/icons/*/*/*/fsview.*
/opt/kde3/share/icons/*/*/*/autorefresh.*
/opt/kde3/share/icons/*/*/*/webarchiver.*
/opt/kde3/share/icons/*/*/*/konqsidebar_news.*
/opt/kde3/share/services/kfile_*
/opt/kde3/share/services/kuick_plugin.desktop
/opt/kde3/share/services/webarchivethumbnail.desktop
/opt/kde3/share/services/ark_plugin.desktop
/opt/kde3/share/services/fsview_part.desktop
/opt/kde3/share/services/renaudiodlg.desktop
/opt/kde3/share/services/renimagedlg.desktop
/opt/kde3/share/services/akregator_konqplugin.desktop
%doc /opt/kde3/share/doc/HTML/en/konq-plugins
/opt/kde3/bin/kio_media_realfolder
/opt/kde3/%_lib/kde3/konqsidebar_delicious.la
/opt/kde3/%_lib/kde3/konqsidebar_delicious.so
/opt/kde3/%_lib/kde3/konqsidebar_metabar.la
/opt/kde3/%_lib/kde3/konqsidebar_metabar.so
/opt/kde3/%_lib/kde3/libmfkonqmficon.la
/opt/kde3/%_lib/kde3/libmfkonqmficon.so
%dir /opt/kde3/share/apps/metabar
/opt/kde3/share/apps/metabar/iconsrc
%dir /opt/kde3/share/apps/metabar/themes
%dir /opt/kde3/share/apps/metabar/themes/default
/opt/kde3/share/apps/metabar/themes/default/default.css
/opt/kde3/share/apps/metabar/themes/default/layout.html
%dir /opt/kde3/share/apps/microformat
%dir /opt/kde3/share/apps/microformat/pics
/opt/kde3/share/apps/microformat/pics/microformat.png
/opt/kde3/share/icons/*/*/*/metabar.*
/opt/kde3/share/icons/*/*/*/minitools.*
/opt/kde3/share/icons/*/*/*/konqsidebar_delicious.*
/opt/kde3/%_lib/kde3/konqsidebar_mediaplayer.*
/opt/kde3/share/applnk/.hidden/mediaplayerplugin.desktop
/opt/kde3/share/icons/*/*/apps/konqsidebar_mediaplayer.*

%files kate
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kate*
/opt/kde3/%_lib/kde3/libkatetabbarextensionplugin.*
/opt/kde3/share/apps/kate
/opt/kde3/share/apps/katexmltools
/opt/kde3/share/services/kate*
/opt/kde3/share/apps/katepart/syntax/katetemplate.xml
%doc /opt/kde3/share/doc/HTML/en/kate-plugins

%files kicker
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kbinaryclock_panelapplet.*
/opt/kde3/%_lib/kde3/kolourpicker_panelapplet.*
/opt/kde3/%_lib/kde3/ktimemon_panelapplet.*
/opt/kde3/%_lib/kde3/mediacontrol_panelapplet.*
/opt/kde3/%_lib/kde3/math_panelapplet.*
/opt/kde3/share/apps/kicker/applets/*
/opt/kde3/share/apps/mediacontrol
/opt/kde3/share/icons/*/*/*/ktimemon.*
%doc /opt/kde3/share/doc/HTML/en/kicker-applets

%files games
%defattr(-,root,root)
/opt/kde3/bin/atlantikdesigner
/opt/kde3/share/applications/kde/atlantikdesigner.desktop
/opt/kde3/share/apps/atlantikdesigner
/opt/kde3/share/icons/*/*/*/atlantikdesigner.*

%files kontact
%defattr(-,root,root)
/opt/kde3/bin/ksig
/opt/kde3/%_lib/kde3/libkaddrbk_geo_xxport.*
/opt/kde3/%_lib/kde3/libkaddrbk_gmx_xxport.*
/opt/kde3/share/apps/kaddressbook/gmx_xxportui.rc
/opt/kde3/share/services/kaddressbook/gmx_xxport.desktop
/opt/kde3/share/applications/kde/ksig.desktop
/opt/kde3/share/apps/kaddressbook/geo_xxportui.rc
/opt/kde3/share/apps/ksig
/opt/kde3/share/services/kaddressbook/geo_xxport.desktop
/opt/kde3/share/icons/*/*/*/ksig.*
%doc /opt/kde3/share/doc/HTML/en/ksig

%changelog
* Mon Apr 23 2018 belphegor@belbel.or.jp
- Imported one patch from Trinity
  (Applied patch from Brian James which fixes the problems of ark
  plugin)
  Original patch:
  https://git.trinitydesktop.org/cgit/tdeaddons/commit/?id=33b03b13
* Sun Nov 26 2017 anixx@opensuse.org
- remove noatun plugins
* Tue Sep  8 2015 anixx@opensuse.org
- fix recognition of C++ files, patch from Trinity
  kdeaddons-trinity-kate-fix-recognition-of-cpp-files.patch
* Wed Aug  7 2013 meissner@suse.com
- restore ssl support, reason for failure was kdelibs3 was not built
  against openssl anymore due to lack of direct build dependency.
* Mon Aug  5 2013 anixx@opensuse.org
- disable ssl due to incompatibility with gcc 4.8
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Fri Jul 30 2010 hpj@urpla.net
- fix gcc 4.5 build
* Wed Aug 20 2008 coolo@suse.de
- update to 3.5.10
  * bugfixes, translations
* Fri May  9 2008 dmueller@suse.de
- 3_5_BRANCH.diff update:
  * fix popup in babelfish plugin
* Thu Mar 13 2008 dmueller@suse.de
- update 3_5_BRANCH diff:
  * fix crash in kate tabbar extension (bko#157834)
* Wed Feb 13 2008 dmueller@suse.de
- update to 3.5.9:
  * bugfixes, translation update
* Thu Nov 15 2007 dmueller@suse.de
- update 3.5 branch diff to fix gcc 4.3 compilation
* Sat Oct 20 2007 coolo@suse.de
- update to 3.5 branch to fix gcc 4.3 compilation
* Tue Oct  9 2007 stbinner@suse.de
- update to 3.5.8: performance improvements for dirfilter plugin
* Fri Sep 28 2007 dmueller@suse.de
- fix quoting in realmedia handler (#326912)
* Sat Aug  4 2007 stbinner@suse.de
- add 3_5_BRANCH.diff
* Tue Jul 17 2007 stbinner@suse.de
- remove fsview.desktop
* Mon Jun  4 2007 stbinner@suse.de
- move kde_post_install
* Wed May 23 2007 stbinner@suse.de
- adapt BuildRequires after kdegames3-devel split-off
* Mon May 14 2007 stbinner@suse.de
- update to 3.5.7
  * Kate Symbol Viewer: Improved C++ and Java support.
  * Bugfixes in the web archiver and web validator plugins
* Fri Apr 20 2007 dmueller@suse.de
- use C version of db
* Fri Jan 26 2007 stbinner@suse.de
- add 3_5_BRANCH.diff to fix minor privacy issue in webarchiver
* Tue Jan 16 2007 stbinner@suse.de
- update to 3.5.6 release:
  * several bugfixes to Konqueror plugins
* Fri Dec  1 2006 stbinner@suse.de
- fix possible crash of KonquerorDirFilterPlugin (#223957)
* Wed Nov  8 2006 stbinner@suse.de
- remove historic "Provides:" (#218798)
* Tue Oct 31 2006 coolo@suse.de
- add 3_5_BRANCH.diff:
  - Fix 7zip support
  - Changing default save location for webarchiv plugin
  - translation update
* Mon Oct  9 2006 stbinner@suse.de
- fix konqueror blocks while opening a profile with more than
  one windows (#210147)
* Tue Oct  3 2006 stbinner@suse.de
- update to 3.5.5 release tarball
* Tue Sep 19 2006 stbinner@suse.de
- fix previous commit/regression and remember last view mode
* Mon Sep 11 2006 coolo@suse.de
- backporting patch from opensuse contributor kling-kde to fix
  konqueror crashes (#204388, #204369)
* Fri Sep  1 2006 stbinner@suse.de
- improve permanent-searchbar.diff (synchronious check, other icon)
* Wed Aug 23 2006 stbinner@suse.de
- update 3_5_BRANCH.diff (Akregator and Kate plugin fixes)
* Sun Jul 23 2006 coolo@suse.de
- update to KDE 3.5.4:
  * Konqueror searchbar plugin: hint the selected search provider
* Tue Jul 11 2006 stbinner@suse.de
- permanent visible searchbar in file mode offering Beagle search
  (if beagled is running) and filtering of current file view
* Mon Jun 19 2006 stbinner@suse.de
- add 3.5 branch diff for searchbar click hint texts
- add configuration menu for Google Suggest usage
* Thu Jun  8 2006 stbinner@suse.de
- use Google Suggest in web search bar (only used for Google)
* Mon May 29 2006 stbinner@suse.de
- fix build for openSUSE build service
* Wed May 24 2006 stbinner@suse.de
- update to version 3.5.3
  * domtreeviewer: fix crash when reopening dialog
  * metabar: fix problem with <nobr> tag
  * ktimemon: backport of iowait support
  * arkplugin: fix crash caused by caching KFileItems
* Mon Mar 20 2006 stbinner@suse.de
- update to version 3.5.2
  * kuickcopy: disable 'Contact' entry if there are no contacts
  * arkplugin: fix mimetype detection and popup menu
  * metabar: fixed translation issues
* Fri Mar 17 2006 stbinner@suse.de
- don't fall back to 'unknown' but enhanced_browsing icon in
  searchbar if search provider favicon is not fetched yet
* Tue Feb 28 2006 stbinner@suse.de
- add upstream patch to disable Kuick's "Contacts" if empty
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 coolo@suse.de
- update to 3_5_BRANCH for encoding fix of desktop file
* Sun Jan 22 2006 stbinner@suse.de
- update to version 3.5.1
* Sat Jan  7 2006 stbinner@suse.de
- update to 3_5_BRANCH
* Sun Dec  4 2005 stbinner@suse.de
- fix image gallery plugin invalid HTML due to SUSE's KDE version
* Mon Nov 21 2005 stbinner@suse.de
- update to version 3.5 RC 2
* Thu Nov 10 2005 stbinner@suse.de
- update to version 3.5 RC 1
* Tue Oct 25 2005 stbinner@suse.de
- revert last change
* Mon Oct 24 2005 stbinner@suse.de
- parameter --with-berkeley-db is now explicitely required
* Fri Oct 21 2005 dmueller@suse.de
- remove obsolete obsoletes
* Wed Oct 12 2005 stbinner@suse.de
- update to version 3.4.92 (3.5 Beta 2)
* Fri Sep 30 2005 stbinner@suse.de
- add missing "metabar" to kdeaddons3-konqueror "Provides:"
* Wed Sep 28 2005 dmueller@suse.de
- fix provides for -debuginfo package
* Sat Sep 24 2005 stbinner@suse.de
- move binary clock panel applet to correct package
* Thu Sep 22 2005 stbinner@suse.de
- update to version 3.4.91 (3.5 Beta)
* Thu Aug 25 2005 adrian@suse.de
- remove dependency to xmms-lib
* Mon Aug 22 2005 coolo@suse.de
- update to 3.4 branch
* Fri Jul 22 2005 coolo@suse.de
- update to version 3.4.2
* Tue May 24 2005 adrian@suse.de
- update to version 3.4.1
* Sun May 22 2005 coolo@suse.de
- fix compile with gcc 4 again
* Mon Apr 25 2005 adrian@suse.de
- fix compile on 64bit with gcc4
* Mon Apr 11 2005 adrian@suse.de
- add kdelibs3-arts to nfb
* Sat Mar  5 2005 adrian@suse.de
- update to 3.4.0 final
* Sat Feb 26 2005 adrian@suse.de
- update to 3.4.0 RC 1
* Mon Feb 14 2005 adrian@suse.de
- update from CVS
* Fri Feb 11 2005 adrian@suse.de
- update from CVS
* Mon Feb  7 2005 adrian@suse.de
- update to beta 2
* Fri Jan 28 2005 adrian@suse.de
- update to current snapshot
* Mon Jan 24 2005 adrian@suse.de
- workaround broken configure check for atlantik designer
  (still broken, but working;)
* Sat Jan 22 2005 ro@suse.de
- added kdegames3-board to nfb
* Sun Jan  9 2005 adrian@suse.de
- final 3.4 beta 1
* Fri Jan  7 2005 adrian@suse.de
- fix build (adding mDNSResponder to nfb)
* Tue Jan  4 2005 coolo@suse.de
- update to 3.4 beta 1 (snapshot)
* Wed Dec  8 2004 adrian@suse.de
- update to version 3.4 alpha 1
* Mon Nov 29 2004 adrian@suse.de
- update to version 3.3.2
* Wed Nov 17 2004 adrian@suse.de
- fix double menuentries of ksig
* Tue Oct 12 2004 adrian@suse.de
- update to version 3.3.1
* Tue Sep 14 2004 adrian@suse.de
- update to current 3_3_BRANCH
- remove mad from nfb
* Thu Sep  9 2004 adrian@suse.de
- update to current 3_3_BRANCH
- remove lnk handler, it needs manual configuration
* Mon Aug 23 2004 adrian@suse.de
- use xmms-lib instead of xmms in nfb
* Mon Aug 16 2004 adrian@suse.de
- update to version 3.3.0 final
* Tue Aug 10 2004 adrian@suse.de
- update to version 3.3.0 RC2
* Tue Jul 20 2004 adrian@suse.de
- update to KDE 3.2.92 (3.3 beta 2)
* Wed Jun 30 2004 adrian@suse.de
- update to version 3.2.91 (KDE 3.3 beta 1)
* Tue Jun  1 2004 adrian@suse.de
- update to version 3.2.3
* Wed Apr 14 2004 adrian@suse.de
- update to version 3.2.2
* Sun Mar  7 2004 coolo@suse.de
- avoid xmms on older distributions
* Mon Mar  1 2004 coolo@suse.de
- update to version 3.2.1
* Wed Feb 18 2004 adrian@suse.de
- move ksig to -kontact package
* Thu Feb  5 2004 adrian@suse.de
- move kontact plugin libs to -kontact package
* Wed Feb  4 2004 adrian@suse.de
- enable kontact plugins and create new -kontact sub package
* Tue Jan 27 2004 adrian@suse.de
- udpate to version 3.2.0 final
* Sun Jan 18 2004 adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Tue Jan 13 2004 adrian@suse.de
- update to snapshot 2004011309
* Mon Dec  1 2003 adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 adrian@suse.de
- update to new snapshot from 2003102409
* Wed Oct 29 2003 adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 adrian@suse.de
- update to snapshot 2003102008
* Sun Oct  5 2003 adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Mon Sep  8 2003 adrian@suse.de
- update to version 3.1.4
* Sat Aug 16 2003 adrian@suse.de
- fix build
- remove kdemultimedia3-extra from neededforbuild again
* Tue Aug  5 2003 ro@suse.de
- added kdemultimedia3-extra to neededforbuild
* Thu Jul 24 2003 adrian@suse.de
- add Categories
- fix build for < 8.1
* Fri Jul 18 2003 adrian@suse.de
- update to version 3.1.3
* Fri Jun 13 2003 coolo@suse.de
- package directories
* Fri May 23 2003 ro@suse.de
- no subpackage games on alpha for now
* Thu May  8 2003 adrian@suse.de
- update to version 3.1.2
* Thu Apr 17 2003 adrian@suse.de
- fix possible crash in kfile_folder plugin (esp. with supermount)
* Mon Apr  7 2003 adrian@suse.de
- disable smb plugin, since it does usually not work
  (needs smbro, which isn't avaible on newer distributions)
* Tue Mar 11 2003 adrian@suse.de
- update to version 3.1.1 second try
  * no code changes, only to have the official tar balls
* Mon Mar  3 2003 adrian@suse.de
- update to version 3.1.1
* Fri Feb 21 2003 adrian@suse.de
- add missing Provides
* Mon Jan 20 2003 adrian@suse.de
- fix dependencies
* Fri Jan 17 2003 adrian@suse.de
- use RC7-try2 tar ball
* Fri Jan 17 2003 adrian@suse.de
- fix #neededforbuild
* Wed Jan 15 2003 adrian@suse.de
- update to RC7
* Tue Jan  7 2003 adrian@suse.de
- update to RC6
* Mon Nov 25 2002 adrian@suse.de
- update to RC5
* Thu Nov 21 2002 adrian@suse.de
- fix file list
* Wed Nov 20 2002 adrian@suse.de
- update to version 3.1-RC4
* Sun Nov  3 2002 adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct  8 2002 adrian@suse.de
- update to version 3.0.4
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Sep 12 2002 adrian@suse.de
- fix obsoletes and provides for updates
* Wed Aug  7 2002 adrian@suse.de
- update to version 3.0.3
* Wed Jul 24 2002 adrian@suse.de
- clean #neededforbuild
* Tue Jul 16 2002 adrian@suse.de
- fix #neededforbuild
* Tue Jul  9 2002 adrian@suse.de
- split package into -internet, -kate, -kicker and -sound
* Mon Jun 24 2002 adrian@suse.de
- update to version 3.0.2
* Sat Jun  8 2002 ro@suse.de
- use update_admin and new common_options
* Sun May 12 2002 coolo@suse.de
- use %%_lib
* Fri May 10 2002 adrian@suse.de
- update to 3.0.1
* Mon Mar 25 2002 adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 adrian@suse.de
- update to 3.0rc3
* Mon Mar  4 2002 adrian@suse.de
- update to 3.0rc1
* Tue Feb 26 2002 adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 adrian@suse.de
- update to snapshot 2.92.2002021111
* Wed Feb  6 2002 adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 adrian@suse.de
- update to snapshot 2.91.2002012811
* Tue Jan 15 2002 adrian@suse.de
- update to snapshot 2.91.2002011511
* Tue Dec 18 2001 adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 adrian@suse.de
- update to version 2.2.2
- activate the noatun plugins
* Sun Nov 11 2001 ro@suse.de
- use SDL-devel-packages and kde2-devel-packages in neededforbuild
* Sat Sep  8 2001 adrian@suse.de
- update to final 2.2.1 tar ball
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
* Mon Aug  6 2001 adrian@suse.de
- update to 2.2 final
* Wed Aug  1 2001 adrian@suse.de
- update to 2.2pre1
* Fri Jun 29 2001 adrian@suse.de
- update to 2.2beta1
* Sun May 27 2001 adrian@suse.de
- initial package
